## gnome-shell 48~rc

=== debian/changelog ===
gnome-shell (48~rc-2ubuntu3) plucky; urgency=medium

  * d/p: Use native accent colors instead of yaru flavored stylesheets
  * d/p: Drop patch to use CSS foreground for highlighted text
  * d/p: Use yaru accent colors when yaru is used
  * d/p: Optimize yaru accent colors for contrast
  * debian/control: Bump recommends on yaru-theme-gnome-shell 25.04

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Mar 2025 07:21:56 +0100

gnome-shell (48~rc-2ubuntu2) plucky; urgency=medium

  * Disable startup sound by default: it can be re-enabled
    in Settings > Sound > Startup Sound

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 10:55:46 -0400

gnome-shell (48~rc-2ubuntu1) plucky; urgency=medium

  * Merge with Debian
  * Remove 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 12:11:37 -0500

gnome-shell (48~rc-2) unstable; urgency=high

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 11:25:50 -0500

gnome-shell (48~rc-1) experimental; urgency=medium

  * Team upload
  * New upstream release candidate
    - In particular, when combined with mutter 48~rc, this version avoids
      an issue where the visible cursor position in GTK 4 apps does not
      match the position where clicks will be applied
  * Refresh patch series
  * Bump mutter dependency to 48~rc as per meson.build
  * d/gnome-shell-common.install: Install the new System directory
  * Standards-Version: 4.7.2 (no changes required)
  * Release to experimental to avoid disrupting the gnome-shell/mutter
    transition

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Mar 2025 11:23:09 +0000

gnome-shell (48~beta-4) unstable; urgency=medium

  * Release to unstable (Closes: #1098719)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 05:40:03 -0500
