=== debian/control ===
Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: appstream,
               bash-completion,
               dbus-daemon <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gjs (>= 1.73.1),
               gir1.2-accountsservice-1.0 <!nocheck>,
               gir1.2-gcr-4-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gdm-1.0 <!nocheck>,
               gir1.2-geoclue-2.0 <!nocheck>,
               gir1.2-gnomebg-4.0 <!nocheck>,
               gir1.2-gnomedesktop-4.0 <!nocheck>,
               gir1.2-gweather-4.0 (>= 4.1) <!nocheck>,
               gir1.2-nma4-1.0 (>= 1.10.4) [linux-any] <!nocheck>,
               gir1.2-polkitagent-1.0-dev,
               gir1.2-rsvg-2.0 <!nocheck>,
               gir1.2-upowerglib-1.0 <!nocheck>,
               gnome-control-center-dev,
               gnome-settings-daemon-common (>= 47~rc) <!nocheck>,
               gobject-introspection (>= 1.80),
               gsettings-desktop-schemas-dev (>= 48~beta),
               gtk-doc-tools,
               libasound2-dev,
               libatk-bridge2.0-dev,
               libecal2.0-dev (>= 3.45),
               libedataserver1.2-dev (>= 3.45),
               libgcr-4-dev (>= 3.90.0),
               libgjs-dev (>= 1.73.1),
               libgl1-mesa-dri <!nocheck>,
               libglib2.0-dev (>= 2.80),
               libgnome-autoar-0-dev,
               libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
               libgnome-desktop-4-dev (>= 40),
               libgnome-menu-3-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgtk-4-dev,
               libibus-1.0-dev,
               libjson-glib-dev,
               libmutter-16-dev (>= 48~rc),
               mutter-16-tests (>= 48~rc) <!nocheck>,
               libnm-dev [linux-any],
               libpipewire-0.3-dev (>= 0.3.49) [linux-any],
               libpolkit-agent-1-dev,
               libpulse-dev,
               libsecret-1-dev,
               libsystemd-dev [linux-any],
               libx11-dev,
               libxfixes-dev,
               libxml2-dev,
               mesa-common-dev,
               meson (>= 0.58.0),
               mutter (>= 48~rc) <!nocheck>,
               pipewire <!nocheck>,
               pkgconf,
               python3-docutils,
               sassc,
               systemd-dev [linux-any],
               terser,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               xwayland <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://wiki.gnome.org/Projects/GnomeShell
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/latest
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/latest

Package: gnome-shell
Architecture: linux-any
Depends: gir1.2-accountsservice-1.0,
         gir1.2-adw-1,
         gir1.2-atk-1.0,
         gir1.2-atspi-2.0,
         gir1.2-gcr-4 (>= 3.90.0),
         gir1.2-gdesktopenums-3.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gdm-1.0 (>= 47.0-4~),
         gir1.2-geoclue-2.0,
         gir1.2-glib-2.0 (>= 2.80),
         gir1.2-gnomebg-4.0,
         gir1.2-gnomebluetooth-3.0 (>= 42.3) [linux-any],
         gir1.2-gnomedesktop-4.0 (>= 40),
         gir1.2-graphene-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-4.0,
         gir1.2-gweather-4.0 (>= 4.1),
         gir1.2-freedesktop,
         gir1.2-ibus-1.0,
         gir1.2-mutter-16 (>= 48~rc),
         gir1.2-nm-1.0 [linux-any],
         gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
         gir1.2-pango-1.0,
         gir1.2-polkit-1.0,
         gir1.2-rsvg-2.0,
         gir1.2-soup-3.0,
         gir1.2-upowerglib-1.0,
         gjs (>= 1.73.1),
         gnome-control-center (>= 1:46),
         gnome-settings-daemon (>= 47~rc),
         gnome-shell-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 48~beta),
         gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
         libglib2.0-bin (>= 2.80),
         python3,
         tecla,
         ubuntu-wallpapers,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bolt,
            evolution-data-server (>= 3.45),
            gdm3,
            gnome-remote-desktop,
            gnome-menus,
            gnome-user-docs,
            ibus,
            iio-sensor-proxy,
            power-profiles-daemon,
            switcheroo-control,
            ubuntu-session | gnome-session,
            xserver-xorg-legacy,
            unzip
Suggests: gir1.2-malcontent-0 [linux-any],
          gir1.2-telepathyglib-0.12,
          gir1.2-telepathylogger-0.2,
          gnome-browser-connector,
          gnome-shell-extension-prefs,
Breaks: gnome-shell-extension-appindicator (<< 50),
        gnome-shell-extension-dash-to-panel (<< 55),
        gnome-shell-extension-dashtodock (<< 79),
        gnome-shell-extension-desktop-icons (<< 21.04),
        gnome-shell-extension-desktop-icons-ng (<< 46+really47.0.2-2),
        gnome-shell-extension-taskbar (<< 57.0-2.1~),
        gnome-shell-extension-top-icons-plus (<< 27-3~),
        gnome-shell-extension-workspaces-to-dock (<< 54~),
        gnome-shell-extensions (<< 40.0~),
Provides: notification-daemon,
          polkit-1-auth-agent
Description: graphical shell for the GNOME desktop
 The GNOME Shell provides core interface functions like switching
 windows, launching applications or see your notifications. It takes
 advantage of the capabilities of modern graphics hardware and
 introduces innovative user interface concepts to provide a
 delightful and easy to use experience. GNOME Shell is the defining
 technology of the GNOME 3 user experience.

Package: gnome-shell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: yaru-theme-gnome-shell (>= 25.04)
Description: common files for the GNOME graphical shell
 This package contains translations and data files for the GNOME shell.

Package: gnome-shell-extension-prefs
Architecture: linux-any
Depends: gir1.2-adw-1,
         gir1.2-gtk-4.0,
         gjs (>= 1.73.1),
         gnome-shell (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-extensions-app
Recommends: gnome-browser-connector
Description: tool to enable / disable GNOME Shell extensions
 This package contains a tool which users who use Shell extensions can use to
 toggle them on and off, and access their preferences.
