## gnome-shell 48.0

=== debian/changelog ===
gnome-shell (48.0-1ubuntu1.3) plucky; urgency=medium

  [ Mitchell Augustin ]
  * Update Wi-Fi icons between disconnect and adapter deactivation
    (LP: #2120734)
  * st/private: Fix texture leak when creating shadow from actor
    (LP: #2121786)
  * status/network: Fix VPN toggle not working when clicking the switch
    (LP: #2106813)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 09 Oct 2025 11:25:04 +0800

gnome-shell (48.0-1ubuntu1.2) plucky; urgency=medium

  [ Mitchell Augustin ]
  * Fix quicksettings connections to enterprise AP (LP: #2120331)

  [ Alessandro Astone ]
  * Fix cursor tracking with a11y zoom (LP: #1991001)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 27 Aug 2025 15:13:10 +0800

gnome-shell (48.0-1ubuntu1.1) plucky; urgency=medium

  [ Sergio Costas Rodriguez ]
  * Fix accessibility issues in Gnome Shell/GDM/Unlock (LP: #2115948)
    - Add labels to the Today Events and Weather buttons
    - Notify to screen reader users any error during login/unlocking
    - Add screen reader compatible labels to St.Entry elements

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 10 Jul 2025 12:47:18 +0800

gnome-shell (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 09:15:46 -0400

gnome-shell (48.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum mutter

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 09:15:07 -0400

gnome-shell (48~rc-2ubuntu5) plucky; urgency=medium

  * d/p/authd: Update generated proto files to match new protocol

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 21 Mar 2025 01:48:18 +0100

gnome-shell (48~rc-2ubuntu4) plucky; urgency=medium

  * d/p/ubuntu-authd: Update authd authentication to support latest protocol
  * debian/control: Add breaks on authd << 0.4.2~

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 21 Mar 2025 01:06:46 +0100
