=== debian/control ===
--- 
+++ 
@@ -45,8 +45,8 @@
                libgtk-4-dev,
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-16-dev (>= 48~rc),
-               mutter-16-tests (>= 48~rc) <!nocheck>,
+               libmutter-16-dev (>= 48.0),
+               mutter-16-tests (>= 48.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
                libpolkit-agent-1-dev,
@@ -58,7 +58,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 48~rc) <!nocheck>,
+               mutter (>= 48.0) <!nocheck>,
                pipewire <!nocheck>,
                pkgconf,
                python3-docutils,
@@ -97,7 +97,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0,
-         gir1.2-mutter-16 (>= 48~rc),
+         gir1.2-mutter-16 (>= 48.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
          gir1.2-pango-1.0,
@@ -145,6 +145,7 @@
         gnome-shell-extension-top-icons-plus (<< 27-3~),
         gnome-shell-extension-workspaces-to-dock (<< 54~),
         gnome-shell-extensions (<< 40.0~),
+        authd (<< 0.4.2~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
