## gnome-shell 48.1

=== debian/changelog ===
gnome-shell (48.1-1kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 13 May 2025 11:07:51 +0200

gnome-shell (48.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 13:38:58 -0400

gnome-shell (48.0-1kali1) kali-dev; urgency=medium

  * Fix kali version

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 28 Mar 2025 14:02:50 +0100

gnome-shell (48.0-0kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh Kali patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 28 Mar 2025 11:44:57 +0100

gnome-shell (47.3-1kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 13 Feb 2025 13:25:12 +0100

gnome-shell (47.2-2kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 02 Jan 2025 13:12:19 +0100

gnome-shell (47.2-1kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 02 Dec 2024 10:20:09 +0100

gnome-shell (47.1-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Only change themes if not modified

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 04 Nov 2024 12:32:56 +0100

gnome-shell (47.0-2kali4) kali-dev; urgency=medium

  * Add patch to support themes synchronization with accent-color
  * Update teal and yellow accent colors
  * Improve theme sync patch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 07 Oct 2024 17:19:59 +0200

gnome-shell (47.0-2kali3) kali-experimental; urgency=medium

  * Use blurred background for login display

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 26 Sep 2024 15:02:56 +0200

gnome-shell (47.0-2kali2) kali-experimental; urgency=medium

  * Add missing Maintainer
  * Change purple color to match Kali Purple accent color
  * Regenerate CSS before build
  * Add gdm theme patch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 26 Sep 2024 12:22:52 +0200

gnome-shell (47.0-2kali1) kali-experimental; urgency=medium

  * Update Maintainer field
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Add custom kali theme patch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 24 Sep 2024 09:46:45 +0200
