=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                bash-completion,
@@ -64,17 +63,14 @@
                python3-docutils,
                sassc,
                systemd-dev [linux-any],
-               terser,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/latest
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any
@@ -114,13 +110,13 @@
          libglib2.0-bin (>= 2.80),
          python3,
          tecla,
-         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
             evolution-data-server (>= 3.45),
             gdm3,
+            gnome-browser-connector,
             gnome-remote-desktop,
             gnome-menus,
             gnome-user-docs,
@@ -128,13 +124,10 @@
             iio-sensor-proxy,
             power-profiles-daemon,
             switcheroo-control,
-            ubuntu-session | gnome-session,
-            xserver-xorg-legacy,
             unzip
 Suggests: gir1.2-malcontent-0 [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2,
-          gnome-browser-connector,
           gnome-shell-extension-prefs,
 Breaks: gnome-shell-extension-appindicator (<< 50),
         gnome-shell-extension-dash-to-panel (<< 55),
@@ -145,7 +138,6 @@
         gnome-shell-extension-top-icons-plus (<< 27-3~),
         gnome-shell-extension-workspaces-to-dock (<< 54~),
         gnome-shell-extensions (<< 40.0~),
-        authd (<< 0.4.2~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -159,7 +151,6 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell (>= 25.04)
 Description: common files for the GNOME graphical shell
  This package contains translations and data files for the GNOME shell.
