=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+XSBC-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Build-Depends: appstream,
                bash-completion,
                dbus-daemon <!nocheck>,
@@ -69,8 +70,10 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Git: https://gitlab.com/kalilinux/packages/gnome-shell.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any
