=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-XSBC-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                bash-completion,
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gjs (>= 1.73.1),
+               gjs (>= 1.81.2),
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gcr-4-dev,
                gir1.2-gdkpixbuf-2.0-dev,
@@ -33,7 +32,7 @@
                libecal2.0-dev (>= 3.45),
                libedataserver1.2-dev (>= 3.45),
                libgcr-4-dev (>= 3.90.0),
-               libgjs-dev (>= 1.73.1),
+               libgjs-dev (>= 1.81.2),
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev (>= 2.80),
                libgnome-autoar-0-dev,
@@ -69,11 +68,9 @@
                xwayland <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Homepage: https://wiki.gnome.org/Projects/GnomeShell
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://gitlab.com/kalilinux/packages/gnome-shell.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/gnome-shell
+Homepage: https://gitlab.gnome.org/GNOME/gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/trixie
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any
@@ -104,7 +101,7 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
-         gjs (>= 1.73.1),
+         gjs (>= 1.81.2),
          gnome-control-center (>= 1:46),
          gnome-settings-daemon (>= 47~rc),
          gnome-shell-common (= ${source:Version}),
@@ -161,7 +158,7 @@
 Architecture: linux-any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
-         gjs (>= 1.73.1),
+         gjs (>= 1.81.2),
          gnome-shell (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
