=== debian/rules ===
--- 
+++ 
@@ -30,11 +30,6 @@
 		-Dportal_helper=false \
 		-Dextensions-tool:bash_completion=enabled \
 		$(CONFFLAGS)
-
-execute_before_dh_auto_build:
-	# Regenerate the css files before building
-	env MESON_SOURCE_ROOT=$(CURDIR) MESON_DIST_ROOT=$(CURDIR) \
-		python3 meson/generate-stylesheets.py
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/gnome-shell/
