=== debian/control ===
--- 
+++ 
@@ -69,7 +69,7 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/trixie
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/forky
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 
 Package: gnome-shell
@@ -111,6 +111,7 @@
          python3,
          tecla,
          ${gir:Depends},
+         ${local:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
