=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,15 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	env XDG_CACHE_HOME="$(shell mktemp -d -t cache-XXXXXXXX)" \
-	dbus-run-session xvfb-run -a dh_auto_test -- $(meson_test_options)
+	dbus-run-session -- \
+	xvfb-run -a -e /proc/self/fd/2 -s '-noreset -screen 0 1280x1024x24' \
+	dh_auto_test -- $(meson_test_options)
 endif
 
 override_dh_gnome_clean:
+
+debian/local.substvars:
+	dpkg-architecture -c debian/extra-substvars.sh > $@
+
+override_dh_gencontrol: debian/local.substvars
+	dh_gencontrol -- -Tdebian/local.substvars
