## gnome-shell 48.6

=== debian/changelog ===
gnome-shell (48.6-0+deb13u1~48.4+1~deb13u1+73+g82a5bdc86) UNRELEASED; urgency=medium

  * Snapshot build (local package)

  * New upstream release 48.5
    - Avoid a crash when using the Draw-On-Gnome extension, fixing a
      regression in 48.3
      (gnome-shell#8602 upstream)
    - Close the captive-portal authentication dialog when full network
      connectivity is detected
      (gnome-shell#7790 upstream)
    - Fix connecting to WPA Enterprise or WPA2 Enterprise networks from the
      quick settings menu
      (gnome-shell#8590 upstream)
    - Disable unneeded extensions before enabling new extensions, ensuring
      that there is never a time when two conflicting extensions are active
      (gnome-shell!3835 upstream)
    - Fix position of IBus candidate panel when using a scaled display
      (gnome-shell#8424 upstream)
    - During authentication, don't reset the authentication prompt on
      every tap/click, only when the prompt should change from hidden to
      visible
      (gnome-shell!3852 upstream)
    - Incorporate previously Debian-specific patches fixing X11 tray icon
      handling
      (gnome-shell!3818 upstream)
    - Avoid a possible source of lockups in keyboard focus handling
      (gnome-shell!3220 upstream)
    - Fix a memory leak with custom themes
      (gnome-shell#8509 upstream, LP: #2121786)
    - During authentication, don't discard typeahead when changing
      entry visibility
      (gnome-shell!3850 upstream)
    - Fix a crash when using a CSS-only Shell extension
      (gnome-shell#7339 upstream, previously fixed differently by a
      Debian-specific patch)
    - Improve debuggability of the actor tree (gnome-shell!3863 upstream)
    - Improve display of overview application search results in
      right-to-left locales (Arabic/Hebrew)
      (gnome-shell!3851 upstream)
    - Fix a crash during searches
      (gnome-shell#8651 upstream, LP: #2104113)
    - Fix a race condition causing intermittent stuck notifications
      (gnome-shell#6006 upstream)
    - Better forward-compatibility with post-trixie GLib versions
      (gnome-shell!3846, gnome-shell!3855 upstream)
    - Better forward-compatibility with post-trixie mutter versions
      (gnome-shell#4253 upstream)
    - Documentation/comment fixes
    - Translation updates: de, fi, th, zh_TW
  * New upstream release 48.6
    - During authentication, move keyboard focus to the currently-visible
      widget, not always the text entry box
      (gnome-shell!3849 upstream)
    - Ensure that workspace selector reappears promptly when cancelling
      a search in the overview (gnome-shell#7985 upstream)
    - Always send the activation token when a notification is activated, even
      if the notification comes from a non-application like
      gnome-settings-daemon
      (gnome-shell!3891 upstream)
    - Warn instead of crashing if an unsupported accent colour is set,
      for example when swapping between Ubuntu's patched gnome-shell and
      an upstream gnome-shell (gnome-shell!3892 upstream)
    - Update the keyboard layout status icon if the layout group
      is changed without UI interaction (gnome-shell!3895 upstream)
    - Always send a valid value for the reason a notification was closed
      (gnome-shell!3907 upstream)
    - In the UI for screenshots, if a button doesn't have any other label,
      use its tooltip as the label for accessibility purposes
      (gnome-shell!3908 upstream)
    - When a notification instance is reused, don't send its activation
      event multiple times (gnome-shell!3904 upstream)
    - Don't emit spurious dotted circles when using the on-screen keyboard
      in the Hindi (Bolnagri) layout (gnome-shell#8719 upstream)
    - Remove unused argument to PopupMenu constructor
      (gnome-shell!3894 upstream)
    - Translation updates: ug
  * Interface change: the misleadingly-named org.gnome.Shell.PortalHelper.Done
    signal has been renamed to org.gnome.Shell.PortalHelper.StatusChanged.
    In practice no other Debian package appears to subscribe to this signal,
    so this shouldn't have any effect.

  [ Jeremy Bícha ]
  * Remove tray-icons patches: applied in 48.5
  * Remove st-theme-node patch: alternative fix applied in 48.5

  [ Marco Trevisan (Treviño) ]
  * d/p/build-Define-test-dependencies.patch,
    d/p/extensions-app-Add-test-dependency-on-generated-desktop-f.patch:
    Add patches to fix tests' compilation dependencies
  * debian/tests: Add autopkgtests for GNOME Shell.
    We can just recompile gnome-shell and run the tests provided
    by upstream.
  * debian/tests: Run tests on the installed gnome-shell.
    Run the autopkgtests running the upstream-provided test scripts using
    the gnome-shell in the archive installed as it is. When in Ubuntu,
    we are also using the Ubuntu profile.
  * debian/salsa-ci: Enable i386 autopkgtests.
    i386 is kinda special in desktop, so better to track potential
    breakages.

  [ Simon McVittie ]
  * Document upstream changes in detail
  * Rebase patch series
    - Drop one of Marco's new test-related build system patches (see
      above), applied in 48.5
  * Slightly improve patch metadata

  [ Snapshot ]
  * snapshot: commit 82a5bdc86 (73 commits after 48.4-1~deb13u1)

 -- Snapshot <snapshot@localhost>  Sun, 16 Nov 2025 16:12:29 +0000
