## gnome-shell 48.7

=== debian/changelog ===
gnome-shell (48.7-0+deb13u2) trixie; urgency=medium

  * Team upload
  * d/p/Revert-main-Register-session-with-GDM-on-startup.patch:
    Revert an upstream change that was not intended to be backported
    to 48.x. A corresponding revert has been queued for inclusion in
    48.8 upstream.
    The change was developed for v50, under the assumption that gdm3
    changes from v50 would be present, but then mistakenly backported
    to 48.x and included in the 48.7 release.
    The resulting change to timings/sequencing triggered regressions in
    modesetting during first login on some systems, which can result in
    the Shell UI never appearing.
    (Closes: #1125941, #1125273, #1125275, #1126174)

 -- Simon McVittie <smcv@debian.org>  Sat, 07 Feb 2026 11:16:25 +0000

gnome-shell (48.7-0+deb13u1) trixie; urgency=medium

  * Team upload
  * New upstream release 48.5
    - Avoid a crash when using the Draw-On-Gnome extension, fixing a
      regression in 48.3
      (gnome-shell#8602 upstream)
    - Close the captive-portal authentication dialog when full network
      connectivity is detected
      (gnome-shell#7790 upstream)
    - Fix connecting to WPA Enterprise or WPA2 Enterprise networks from the
      quick settings menu
      (gnome-shell#8590 upstream)
    - Disable unneeded extensions before enabling new extensions, ensuring
      that there is never a time when two conflicting extensions are active
      (gnome-shell!3835 upstream)
    - Fix position of IBus candidate panel when using a scaled display
      (gnome-shell#8424 upstream)
    - During authentication, don't reset the authentication prompt on
      every tap/click, only when the prompt should change from hidden to
      visible
      (gnome-shell!3852 upstream)
    - Incorporate previously Debian-specific patches fixing X11 tray icon
      handling
      (gnome-shell!3818 upstream)
    - Avoid a possible source of lockups in keyboard focus handling
      (gnome-shell!3220 upstream)
    - Fix a memory leak with custom themes
      (gnome-shell#8509 upstream, LP: #2121786)
    - During authentication, don't discard typeahead when changing
      entry visibility
      (gnome-shell!3850 upstream)
    - Fix a crash when using a CSS-only Shell extension
      (gnome-shell#7339 upstream, previously fixed differently by a
      Debian-specific patch)
    - Improve debuggability of the actor tree (gnome-shell!3863 upstream)
    - Improve display of overview application search results in
      right-to-left locales (Arabic/Hebrew)
      (gnome-shell!3851 upstream)
    - Fix a crash during searches
      (gnome-shell#8651 upstream, LP: #2104113)
    - Fix a race condition causing intermittent stuck notifications
      (gnome-shell#6006 upstream)
    - Better forward-compatibility with post-trixie GLib versions
      (gnome-shell!3846, gnome-shell!3855 upstream)
    - Better forward-compatibility with post-trixie mutter versions
      (gnome-shell#4253 upstream)
    - Documentation/comment fixes
    - Translation updates: de, fi, th, zh_TW
  * New upstream release 48.6
    - During authentication, move keyboard focus to the currently-visible
      widget, not always the text entry box
      (gnome-shell!3849 upstream)
    - Ensure that workspace selector reappears promptly when cancelling
      a search in the overview (gnome-shell#7985 upstream)
    - Warn instead of crashing if an unsupported accent colour is set,
      for example when swapping between Ubuntu's patched gnome-shell and
      an upstream gnome-shell (gnome-shell!3892 upstream)
    - Always send a valid value for the reason a notification was closed
      (gnome-shell!3907 upstream)
    - In the UI for screenshots, if a button doesn't have any other label,
      use its tooltip as the label for accessibility purposes
      (gnome-shell!3908 upstream)
    - When a notification instance is reused, don't send its activation
      event multiple times (gnome-shell!3904 upstream)
    - Don't emit spurious dotted circles when using the on-screen keyboard
      in the Hindi (Bolnagri) layout (gnome-shell#8719 upstream)
    - Remove unused argument to PopupMenu constructor
      (gnome-shell!3894 upstream)
    - Translation updates: ug
  * New upstream release 48.7
    - Revert some changes in 48.6 that could cause regressions
      (not shown in the above summary)
    - Ensure network icon is updated on connectivity changes
      (gnome-shell#7357, gnome-shell#8549 upstream)
    - In gdm, sort the available sessions by their localized name,
      as displayed, and not by their internal IDs
      (gnome-shell!3920 upstream)
    - Add on-screen keyboard layouts for German (extended) and
      German (Austria, extended)
      (gnome-shell!3923 upstream)
    - Avoid zombie networkmanager-openvpn-auth processes when a VPN connection
      is stopped
      (gnome-shell#7083 upstream)
    - Avoid a warning on drag-and-drop when animations are disabled
      (gnome-shell!3922 upstream)
    - When logout, reboot or shutdown is prevented by a systemd inhibitor,
      don't log the cancellation with a stack trace as though it was an
      internal error
      (gnome-shell#8749 upstream)
    - Fix a crash when a window is closed immediately after losing on-screen
      keyboard focus
      (gnome-shell#8752 upstream)
    - Fix handling of multiple gdm greeter instances
      (gnome-shell!3942 upstream)
    - Fix warnings and potential use-after-free when the Shell exits in
      certain states
      (gnome-shell!3943 upstream)
    - Improve code clarity by using symbolic constants for SOURCE_CONTINUE,
      SOURCE_REMOVE
      (gnome-shell!3950 upstream)
    - Always return a result from "later" handlers
      (gnome-shell!3950 upstream)
    - Align search results' provider name better
      (gnome-shell!3951 upstream)
    - Always register the session with GDM on startup, even if no monitor is
      connected
      (gnome-shell!3708 upstream)
